# $Revision: 1.43 $, $Date: 2012/02/12 17:17:33 $
Summary:	Motif HTML widget
Summary(pl.UTF-8):	Widget do HTML-a oparty o Motif
Name:		XmHTML
Version:	1.1.7
Release:	12
License:	LGPL
Group:		X11/Libraries
Source0:	http://www.xs4all.nl/~ripley/XmHTML/dist/%{name}-%{version}.tar.gz
# Source0-md5:	6d079435fb954bb7878f4dd0d3f7b8d8
Patch0:		%{name}-am.patch
Patch1:		%{name}-macro.patch
Patch2:		%{name}-libpng.patch
URL:		http://www.xs4all.nl/~ripley/XmHTML/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtool
BuildRequires:	motif-devel >= 1.2
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXpm-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XmHTML provides a widget capable of displaying HTML 3.2 conforming
text.

%description -l pl.UTF-8
XmHTML zawiera widget wyświetlający HTML w wersji 3.2.

%package devel
Summary:	Development package of XmHTML
Summary(pl.UTF-8):	Pliki nagłówkowe XmHTML
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libjpeg-devel
Requires:	libpng-devel
Requires:	motif-devel >= 1.2

%description devel
Headers needed to compile XmHTML programs.

%description devel -l pl.UTF-8
Pliki nagłówkowe potrzebne do kompilowania programów korzystających z
XmHTML.

%package static
Summary:	Static version of XmHTML library
Summary(pl.UTF-8):	Statyczna biblioteka XmHTML
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of XmHTML library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki XmHTML.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
# Argh! automake stuff outdated, imake stuff outdated even more,
# makefiles not outdated but don't support shared libraries :/
# Use automake with some patches/workarounds/etc
cd lib
mv -f common/*.c .
mv -f Motif/*.c .
cd ..

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
CFLAGS="%{rpmcflags} \
	-I`pwd`/include/XmHTML -I`pwd`/include/common \
	%{!?debug:-DNDEBUG -Dproduction} -DVERSION=1107"
%configure \
	LIBS="-lm"

cd lib
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_includedir}/XmHTML

%{__make} install -C lib \
	DESTDIR=$RPM_BUILD_ROOT

install include/XmHTML/{Balloon,HTML,HTMLStrings,XCC,XmHTML}.h \
	include/common/LZWStream.h \
	$RPM_BUILD_ROOT%{_includedir}/XmHTML

rm -f html/man/man.{map,tmpl}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc APPS BUG-REPORTING CHANGES DEBUGGING FEEDBACK FIXES
%doc README THANKS TODO docs/{QUOTES,README.*,REASONS,progressive.txt}
%attr(755,root,root) %{_libdir}/libXmHTML.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXmHTML.so.0

%files devel
%defattr(644,root,root,755)
%doc html/*
%attr(755,root,root) %{_libdir}/libXmHTML.so
%{_libdir}/libXmHTML.la
%{_includedir}/XmHTML

%files static
%defattr(644,root,root,755)
%{_libdir}/libXmHTML.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: XmHTML.spec,v $
Revision 1.43  2012/02/12 17:17:33  adamg
- release 12 (rebuild against libpng-1.5)

Revision 1.42  2012/02/12 16:40:19  qboosh
- added libpng patch (fixes build with libpng 1.5.x)

Revision 1.41  2012/02/10 23:53:07  adamg
- move files in %prep, not in %build (breaks short-circuit builds)

Revision 1.40  2012/02/07 22:09:01  arekm
- release 11

Revision 1.39  2011/12/20 19:36:10  arekm
- release 10

Revision 1.38  2011/01/23 14:11:22  sparky
- link with -lm

Revision 1.37  2010/05/16 13:49:54  sparky
- BR: xorg-lib-libXmu-devel

Revision 1.36  2010/04/29 06:47:33  qboosh
- more verbose files, ghost soname symlink

Revision 1.35  2010/01/30 16:08:14  sparky
- BR: xorg-lib-libXpm-devel

Revision 1.34  2010/01/29 20:48:46  arekm
- release 9

Revision 1.33  2009/07/12 03:26:28  arekm
- release 8

Revision 1.32  2008/11/11 11:44:07  megabajt
- release 7

Revision 1.31  2007/11/28 08:18:17  arekm
- rel 6

Revision 1.30  2007-09-05 11:16:08  baggins
- rel 5

Revision 1.29  2007/02/12 21:23:45  glen
- tabs in preamble

Revision 1.28  2007/02/12 00:48:35  baggins
- converted to UTF-8

Revision 1.27  2006/05/13 20:50:13  darekr
- strict deps

Revision 1.26  2004/07/07 12:50:33  ankry
- rel. 3 to rebuild with openmotif-libs-2.2.3-2

Revision 1.25  2004/02/24 01:11:54  ankry
- pl fixes, cosmetics

Revision 1.24  2004/02/09 21:55:23  qboosh
- -devel R: libjpeg-devel,libpng-devel

Revision 1.23  2004/02/09 21:49:45  qboosh
- builds OK with openmotif

Revision 1.22  2004/01/17 20:38:18  qboosh
- release 3 for Ac

Revision 1.21  2003/08/18 08:07:53  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.20  2003/07/07 10:53:37  qboosh
- dropped libpng 1.2.2 support (from spec and am patch)

Revision 1.19  2003/07/06 23:27:15  blues
- many small fixes, mostly inpired by kloczek

Revision 1.18  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.17  2003/05/25 05:45:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/01/18 22:58:55  juandon
- removed two lines with define

Revision 1.15  2002/11/25 14:12:19  ankry
- massive attack: no need for 755 for *.la

Revision 1.14  2002/10/09 13:14:15  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.13  2002/06/23 20:32:20  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.12  2002/06/05 03:55:49  kloczek
- use new %doc,
- add lesstif-devel to Requires list in devel,
- "rm -f missing" on top %build.

Revision 1.11  2002/05/21 23:12:39  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
  	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/04/28 09:42:53  qboosh
- updated am patch to work with current auto*, added libpng 1.2.2 support
- release 2

Revision 1.9  2002/03/24 23:28:13  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.8  2002/02/22 23:28:39  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/18 02:12:17  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/09/26 09:16:44  qboosh
- adapterized, added BuildRequires: libtool

Revision 1.5  2001/07/18 03:20:05  kloczek
- spec adapterized.

Revision 1.4  2001/04/30 16:05:14  kloczek
- added using %{rpmcflags} macro.

Revision 1.3  2001/03/19 01:15:32  kloczek
- (my) typo.

Revision 1.2  2001/03/19 01:02:33  kloczek
- use "-DNDEBUG -Dproduction" in CFLAGS depending on %{debug},
- simplification in %install (use "-C lib" make option istead cd to lib),
- remove LICENSE from %doc (well known license statment is in License field).

Revision 1.1  2001/03/18 00:32:13  qboosh
- spec taken from redhat-contrib, partially rewritten, updated to 1.1.7
